Package org.codehaus.groovy.groovydoc

# Interface GroovyRootDoc

All Superinterfaces:
  `java.lang.Comparable`, `GroovyDoc`, `GroovyDocErrorReporter`

All Known Implementing Classes:
  `SimpleGroovyRootDoc`

    public interface GroovyRootDoc
    extends GroovyDoc, GroovyDocErrorReporter

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyClassDoc[]` | `classes()` |
  `GroovyClassDoc` | `classNamed​(GroovyClassDoc groovyClassDoc, java.lang.String name)` |
  `java.util.Map<java.lang.String,​GroovyClassDoc>` | `getResolvedClasses()` |
  `java.util.Map<java.lang.String,​GroovyClassDoc>` | `getVisibleClasses​(java.util.List importedClassesAndPackages)` |
  `java.lang.String[][]` | `options()` |
  `GroovyPackageDoc` | `packageNamed​(java.lang.String arg0)` |
  `GroovyClassDoc[]` | `specifiedClasses()` |
  `GroovyPackageDoc[]` | `specifiedPackages()` |

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDocErrorReporter

  `printError, printNotice, printWarning`

- ## Method Details

  - ### classNamed

    GroovyClassDoc classNamed​(GroovyClassDoc groovyClassDoc, java.lang.String name)

  - ### classes

    GroovyClassDoc[] classes()

  - ### options

    java.lang.String[][] options()

  - ### packageNamed

    GroovyPackageDoc packageNamed​(java.lang.String arg0)

  - ### specifiedClasses

    GroovyClassDoc[] specifiedClasses()

  - ### specifiedPackages

    GroovyPackageDoc[] specifiedPackages()

  - ### getVisibleClasses

    java.util.Map<java.lang.String,​GroovyClassDoc> getVisibleClasses​(java.util.List importedClassesAndPackages)

  - ### getResolvedClasses

    java.util.Map<java.lang.String,​GroovyClassDoc> getResolvedClasses()